Page MenuHomePhabricator

Prepare for deployment of existing portal from the portals repository
Closed, ResolvedPublic

Description

Now that we have a portals repository, we need to prepare to change how www.wikipedia.org is deployed, assuming outstanding questions are resolved. The actual switchover to the new system will be done at a later date, pending communications and the resolution of those questions.

This ticket represents creating the new scripts and processes, not the actual deployment.

Details

Related Gerrit Patches:
operations/puppet : productionSwitch www.wikimedia.org to source control
operations/mediawiki-config : masterSwitch www portals to be deployed from Git

Event Timeline

JGirault raised the priority of this task from to Needs Triage.
JGirault updated the task description. (Show Details)
JGirault added a project: Discovery.
JGirault added a subscriber: JGirault.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 20 2015, 12:42 AM
Deskana assigned this task to MaxSem.Oct 22 2015, 6:30 PM
Deskana triaged this task as Medium priority.
Deskana updated the task description. (Show Details)
Deskana set Security to None.

Reminder to myself: cache headers.

Change 248526 had a related patch set uploaded (by MaxSem):
[WIP] Switch www.wikipedia.org to be deployed from Git

https://gerrit.wikimedia.org/r/248526

Change 249009 had a related patch set uploaded (by MaxSem):
[WIP] Switch www.wikimedia.org to source control

https://gerrit.wikimedia.org/r/249009

Change 248526 merged by jenkins-bot:
Switch www portals to be deployed from Git

https://gerrit.wikimedia.org/r/248526

ksmith renamed this task from Deployment of existing portal from the portals repository to Prepare for deployment of existing portal from the portals repository.Nov 6 2015, 7:19 PM
ksmith updated the task description. (Show Details)

Change 249009 merged by Giuseppe Lavagetto:
Switch www.wikimedia.org to source control

https://gerrit.wikimedia.org/r/249009

MaxSem closed this task as Resolved.Nov 13 2015, 8:46 PM
Deskana added a subscriber: Deskana.

Moved this into the "Done" column, as it was marked as resolved whilst sat in another column.

debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Jan 26 2016, 12:33 AM